# mysqlpp::BadIndex Class Reference

Exception thrown when an object with operator [] or an at() method gets called with a bad index. More...

`#include <exceptions.h>`

Inheritance diagram for mysqlpp::BadIndex:

[legend]
Collaboration diagram for mysqlpp::BadIndex:

[legend]
List of all members.

## Public Member Functions

| BadIndex (const char *what, int bad_index, int max_index)
| Create exception object.
| ~BadIndex () throw ()
| Destroy exception.

## Detailed Description

Exception thrown when an object with operator [] or an at() method gets called with a bad index.

## Constructor & Destructor Documentation

mysqlpp::BadIndex::BadIndex | ( | const char * | what,
|  | int | bad_index,
|  | int | max_index |
| ) |  |  | `[inline, explicit]`

Create exception object.

Parameters:

  | what | type of object bad index tried on
  | bad_index | index value the container didn't like
  | max_index | largest legal index value for container

The documentation for this class was generated from the following file:

- exceptions.h